#ifndef __DYNCOMBO_H__
#define __DYNCOMBO_H__

#include <gtkmm/window.h>
#include <gtkmm/comboboxtext.h>
#include <gtkmm/liststore.h>
#include <gtkmm/box.h>
#include <gtkmm/button.h>

class dyncombo : public Gtk::Window {
public:
    dyncombo();

protected:
    virtual void sheep_action();
    virtual void ant_action();
    virtual void cbo_change_action();


    Gtk::VBox m_VBoxControl;

    Gtk::Button m_butSheep;
    Gtk::Button m_butAnt;

    Gtk::ComboBox m_cboIndividuals;

    //Tree model columns:
    class ModelColumns : public Gtk::TreeModel::ColumnRecord {
    public:

        ModelColumns() { add(m_colName); }

        Gtk::TreeModelColumn<Glib::ustring> m_colName;
    };

    ModelColumns m_IndividualsColumns;

    Glib::RefPtr<Gtk::ListStore> m_refTreeModelIndividuals;

};



#endif

